Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dmg.service.impl
Class DmgServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.dmg.service.impl.DmgServiceImpl

All Implemented Interfaces:
  DmgService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class DmgServiceImpl

extends Object
implements DmgService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation for the `DmgService` interface.

Constructor Summary
`DmgServiceImpl()` default constructor , needed for ModuleBootstrapHook.
`DmgServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)` Creates a new `DmgServiceImpl`

Method Summary
`void` | `bootstrap()`
`ConfirmResponse` | `confirmRequest(SAMLToken token, Confirm request, WsAddressingHeader header)` Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
`ConsultGlobalMedicalFileResponse` | `consultGlobalMedicalFile(SAMLToken token, ConsultGlobalMedicalFileRequest request)` Sends the consultation request to the WS and retrieves the response.
`GetResponse` | `getRequest(SAMLToken token, Get request, WsAddressingHeader header)` Returns the `Responses` from the post previously sent.
`NotifyGlobalMedicalFileResponse` | `notifyGlobalMedicalFile(SAMLToken token, NotifyGlobalMedicalFileRequest request)` Sends the notification request to the WS and retrieves the response.
`PostResponse` | `postRequest(SAMLToken token, Post request, WsAddressingHeader header)` Returns the `TAck` of the request of an operation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DmgServiceImpl

    public DmgServiceImpl(SessionValidator sessionValidator,
                          EhealthReplyValidator replyValidator)
                   throws TechnicalConnectorException

  Creates a new `DmgServiceImpl`

  Parameters:
    `sessionValidator` - the SessionValidator object
    `replyValidator` - the ReplyValidator object
  Throws:
    `TechnicalConnectorException`

### DmgServiceImpl

    public DmgServiceImpl()

  default constructor , needed for ModuleBootstrapHook.

Method Detail

### consultGlobalMedicalFile

    public final ConsultGlobalMedicalFileResponse consultGlobalMedicalFile(SAMLToken token,
                                                                           ConsultGlobalMedicalFileRequest request)
                                                                    throws DmgBusinessConnectorException,
                                                                           TechnicalConnectorException,
                                                                           SessionManagementException

  Description copied from interface: `DmgService`
  Sends the consultation request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.

  Specified by:
    `consultGlobalMedicalFile` in interface `DmgService`
  Parameters:
    `token` - the valid SAML token
    `request` - the request to send
  Returns:
    ConsultGlobalMedicalFileResponse the WS response
  Throws:
    `DmgBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`
  See Also:
    `consultGlobalMedicalFile(SAMLToken token, SendRequestType request)`

### notifyGlobalMedicalFile

    public final NotifyGlobalMedicalFileResponse notifyGlobalMedicalFile(SAMLToken token,
                                                                         NotifyGlobalMedicalFileRequest request)
                                                                  throws TechnicalConnectorException,
                                                                         DmgBusinessConnectorException

  Description copied from interface: `DmgService`
  Sends the notification request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.

  Specified by:
    `notifyGlobalMedicalFile` in interface `DmgService`
  Parameters:
    `token` - the valid SAML token
    `request` - the request to send
  Returns:
    NotifyGlobalMedicalFileResponse the WS response
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`
    `DmgBusinessConnectorException`
  See Also:
    `notifyGlobalMedicalFile(SAMLToken token, SendRequestType request)`

### confirmRequest

    public ConfirmResponse confirmRequest(SAMLToken token,
                                          Confirm request,
                                          WsAddressingHeader header)
                                   throws GenAsyncBusinessConnectorException,
                                          TechnicalConnectorException

  Description copied from interface: `DmgService`
  Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active

  Specified by:
    `confirmRequest` in interface `DmgService`
    `request` - the request
  Returns:
    The response
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`

### getRequest

    public GetResponse getRequest(SAMLToken token,
                                  Get request,
                                  WsAddressingHeader header)
                           throws GenAsyncBusinessConnectorException,
                                  TechnicalConnectorException

  Description copied from interface: `DmgService`
  Returns the `Responses` from the post previously sent. It only needs the SamlToken, no session needs to be active.

  Specified by:
    `getRequest` in interface `DmgService`
    `request` - the request
  Returns:
    Responses
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`

### postRequest

    public PostResponse postRequest(SAMLToken token,
                                    Post request,
                                    WsAddressingHeader header)
                             throws GenAsyncBusinessConnectorException

  Description copied from interface: `DmgService`
  Returns the `TAck` of the request of an operation. It only needs the SamlToken, no session needs to be active.

  Specified by:
    `postRequest` in interface `DmgService`
    `request` - the request
  Returns:
    TAck the WS response
  Throws:
    `GenAsyncBusinessConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.